Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.simpson_e

skbio.diversity.alpha.simpson_e(counts)

  Calculate Simpson’s evenness index.

  Simpson’s evenness (a.k.a., equitability) index \(E_D\) is defined as:

  \[E_D = \frac{1}{D \times S}\]

  where \(D\) is the Simpson’s dominance index and \(S\) is the number of taxa in the sample.

  That is, \(E_D\) is the ratio of the minimum-possible Simpson’s dominance index when all taxa have the same number of individuals: \(D_{min} = 1 / S\), versus the actual Simpson’s dominance index of the sample.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    float

      Simpson’s evenness index.

  See also

  `dominance`
  `simpson`

  Notes

  The implementation here is based on the description given in [1] and [2].

  References

  [1]

  Simpson, E. H. (1949). Measurement of diversity. nature, 163(4148), 688-688.

  [2]

  Pielou, E. C. (1966). The measurement of diversity in different types of biological collections. Journal of theoretical biology, 13, 131-144.